#!/bin/bash
# Copyright (C) 2000-2016 Synology Inc. All rights reserved.

if [ "$BUILD_ARCH" = "64" ]; then
	ARCH=$(grep ^ARCH "/env64.mak" | cut -d= -f2) || return 1
else
	ARCH=$(grep ^ARCH "/env32.mak" | cut -d= -f2) || return 1
fi

if [ "$ARCH" = "x86" ]; then
	FILE_PATTERN="/^jdk-7u\d{2}-linux-i586.(tar[.]gz|gz|tar)$/"
	PRODUCT="Linux x86"
	FILENAME="jdk-7u79-linux-i586.tar.gz"
	URL="http://www.oracle.com/technetwork/java/javase/downloads/jdk7-downloads-1880260.html"
elif [ "$ARCH" = "x86_64" ]; then
	FILE_PATTERN="/^jdk-7u\d{2}-linux-(i586|x64).(tar[.]gz|gz|tar)$/"
	PRODUCT="Linux x64"
	FILENAME="jdk-7u79-linux-(i586|x64).tar.gz"
	URL="http://www.oracle.com/technetwork/java/javase/downloads/jdk7-downloads-1880260.html"
elif [ "$ARCH" = "arm" ]; then
	FILE_PATTERN="/^jdk-7u\d{2}-linux-arm-vfp-hflt.(tar[.]gz|gz|tar)$/"
	PRODUCT="Linux ARM v6/v7 Hard Float ABI"
	FILENAME="jdk-7u79-linux-arm-vfp-hflt.tar.gz"
	URL="http://www.oracle.com/technetwork/java/javase/downloads/jdk7-arm-downloads-2187468.html"
else
	echo "Error: unknown arch";
	exit 1;
fi

rm -f /source/Java7/ui/js/InstallString.js
cat > /source/Java7/ui/js/InstallString.js << EOF
/* Copyright (c) 2000-2016 Synology Inc. All rights reserved. */

Ext.ns('SYNO.SDS.JAVA7');

SYNO.SDS.JAVA7.CGI_INSTALL = "/webman/3rdparty/Java7/java.cgi";
SYNO.SDS.JAVA7.FILE_PATTERN = $FILE_PATTERN;
SYNO.SDS.JAVA7.INSTALL_STEP = 'install';
SYNO.SDS.JAVA7.ERROR_STEP = 'error';
SYNO.SDS.JAVA7.SUCCESS_STEP = 'status';
SYNO.SDS.JAVA7.JAVA_DOWNLOAD_SITE_TITLE = 'Java SE Downloads';
SYNO.SDS.JAVA7.JAVA_DOWNLOAD_SITE_URL = '$URL';
SYNO.SDS.JAVA7.JAVA_DOWNLOAD_LINK_VERSION_STRING = 'Java SE 7 upgrade 79';
SYNO.SDS.JAVA7.JAVA_DOWNLOAD_MAJOR_VERSION = '7';
SYNO.SDS.JAVA7.JAVA_DOWNLOAD_MINOR_VERSION = '79';
SYNO.SDS.JAVA7.JAVA_DOWNLOAD_PRODUCT = '$PRODUCT';
SYNO.SDS.JAVA7.JAVA_DOWNLOAD_FILENAME = '$FILENAME';

EOF
