#!/bin/sh
# Copyright (C) 2000-2016 Synology Inc. All rights reserved.

. /etc/profile

######################
#
# Output format:
#
# 1: {true|false}:	Java existence
# 2: {string}:		Java version
# 3: {string}:		Manager version
#
######################
#line 1 - Java existence
if [ -z $JAVA_HOME ]; then
	echo "false";
	exit 0;
fi
echo "true"

#line 2 - Java version
if [ -f $JAVA_HOME/bin/java ]; then
	VERSION=`$JAVA_HOME/bin/java -version 2>&1 | head -n 1 | cut -d'"' -f2`;
	echo $VERSION
else
	#Shouldn't happend
	echo "Not found java"
fi

#line 3 - Manager version
if [ -r /var/packages/Java7/INFO ]; then
	MANAGER_VERSION=`grep version /var/packages/Java7/INFO | cut -d'"' -f2`;
	if [ ! -z $MANAGER_VERSION ]; then
		echo $MANAGER_VERSION
	else
		echo "INFO doesn't have version"
	fi
else
	echo "INFO IS NOT EXISTED"
fi
